<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::connection('mai1')->create('totps', function (Blueprint $table) {
            $table->id();
            $table->string('phone')->index();
            $table->string('otp');
            $table->dateTime('expires_at');
            $table->integer('attempts')->default(0);
            $table->dateTime('verified_at')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::connection('mai1')->dropIfExists('totps');
    }
};
